This is a Laravel 5 package that provides allowance management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `payroll/allowance`.

    "payroll/allowance": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Payroll\Allowance\Providers\AllowanceServiceProvider::class,

```

And also add it to alias

```php
'Allowance'  => Payroll\Allowance\Facades\Allowance::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Payroll\Allowance\Providers\AllowanceServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Payroll\Allowance\Providers\AllowanceServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Payroll\Allowance\Providers\AllowanceServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Payroll\Allowance\Providers\AllowanceServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Payroll\Allowance\Providers\AllowanceServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Payroll\Allowance\Providers\AllowanceServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


