<?php

// Admin  routes  for allowance
Route::group(['prefix' => '/admin/allowance'], function () {
    Route::put('news/workflow/{allowance}/{step}', 'AllowanceAdminController@putWorkflow');
    Route::resource('allowance', 'AllowanceAdminController');
});


// User  routes for allowance
Route::group(['prefix' => '/user/allowance'], function () {
    Route::resource('allowance', 'AllowanceUserController');
});

// Public  routes for allowance
Route::group(['prefix' => '/allowances'], function () {
    Route::get('news/workflow/{allowance}/{step}/{user}', 'AllowanceController@getWorkflow');
    Route::get('/', 'AllowancePublicController@index');
    Route::get('/{slug?}', 'AllowancePublicController@show');
});


