<?php

namespace Payroll\Allowance\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AllowanceItemTransformer extends TransformerAbstract
{
    public function transform(\Payroll\Allowance\Models\Allowance $allowance)
    {
        return [
            'id'                => $allowance->getRouteKey(),
            'id'                => $allowance->id,
            'company_id'        => $allowance->company_id,
            'department_id'     => $allowance->department_id,
            'type'              => $allowance->type,
            'code'              => $allowance->code,
            'name'              => $allowance->name,
            'created_at'        => $allowance->created_at,
            'updated_at'        => $allowance->updated_at,
            'deleted_at'        => $allowance->deleted_at,
            'status'            => trans('app.'.$allowance->status),
            'created_at'        => format_date($allowance->created_at),
            'updated_at'        => format_date($allowance->updated_at),
        ];
    }
}